11 Replies Latest reply on Mar 4, 2014 3:01 PM by Richard Smith Jr

    Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??

    brad Pioneer

      I saw Lindsay Lambs' post regarding 8.3.x being incompatible with .Net 4.5 - is anyone aware as to whether or not this is also the case for versions of 8.2.X ??

        • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
          Scott Olswold Guide

          Brad,

           

          Uniprint 8.2.x utilizes the .NET 3.5 framework (functionally, a service pack for .NET 2). Systems that get .NET 4.5 should be fine, as we do not use any component of .NET 4.0 or 4.5.

           

          Scott

            • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
              Ralph Miller Scout

              I installed the .NET Framework 4.5.1 update yesterday and immediately my print server stopped working. The Secure Release service would not start. Uninstalling that update and reinstalling .NET Framework 4.0 promptly fixed the problem and all is good now. I have hidden the 4.5.1 update from MS so I won't be tempted to try it again until after I see the issue has been rectified. I am currently running 8.3 with all patches/hot fixes installed.

                • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                  brad Pioneer

                  Ralph - there was an update posted by Lindsay advising of issues with .Net on 8.3, and the resolution for it. That was what prompted me to make enquiries about the compatibility with 8.2

                    • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                      Richard Smith Jr Scout

                      .NET 4.5.1. definitely still impacts 8.2.  Uninstalled and installed back to 4.0 and patched to resolve the issue.  Four hours of downtime to complete this.

                        • Re: Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                          Steven English Guide

                          Did you have to reinstall the print server service to get it working again on 8.2?

                           

                          My experience with 4.5.1 is that it actually supersedes/overwrites the .NET 4.0 install.  This means that you have to uninstall it (4.5.1), then reinstall .NET 4.0, and - if your system is running 8.3 or newer - reinstall the PharosSecureRelease.msi to get everything back up and going (right click on the msi and click install from the context menu*).  If you only have .NET 4.5, then 4.0 should still be on the server and you will simply need to remove 4.5 and re-run the install of the Secure Release Service as described above so that the settings are laid back down and everything is re-registered.  My recollection is that there is no need to reboot anything.  I recommend hiding the .NET 4.5 and 4.5.1 updates until you upgrade to 8.4 or 9.0 when it is released.

                           

                          Regards,

                          Steven

                           

                          *The PharosSecureRelease.msi file should be located in C:\Program Files\Pharos\Bin or C:\Program Files (x86)\Pharos\Bin if it is a 64-bit system.

                            • Re: Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                              Jeff Geller Guide

                              Hi All,

                               

                              Just to add, there has been success in simply uninstalling .NET 4.5.1. via "Windows Programs & Features", then from the Pharos Uniprint 8.3 CD Image in the folder "..\8.3.7184 Uniprint 8.3\MainCD\common\win32\DotNETFramework" use the "dotNetFx40_Full_setup.exe" to re-install the .NET 4.0 Framework.

                               

                              The several times I needed to correct this recently a reboot of the server was not required however I would recommend a reboot after re-installing the .NET 4.0 Framework.

                               

                              Thanks,

                              Pharos Support

                              Jeff Geller

                                • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                                  Richard Smith Jr Scout

                                  Steven, I just uninstalled .NET 4.5.1 from Windows Programs and Features like Jeff mentioned above and then downloaded/installed 4.0 from Microsoft's website.  It is an overwrite of 4.0.  I've only been in my current role for 2 months, and did hide the 4.5.1 update, but unsure if the 4.5 or 4.5.1 was hidden prior.  I'll just have to keep an eye on it to be sure one doesn't slip under the radar.

                                   

                                  Jeff, thanks for mentioning the image of the install from the Pharos folder - I will try to use that next time.   And I agree that a reboot is not required, but it is just habit for me to do that.  Snow/ice caused most users to be home so that wasn't an issue.   If you install the windows updates following .NET 4.0 though, one of them did ask for a reboot.

                                   

                                  Thanks for the responses.  We will be upgrading soon, and still love the product.

                                • Re: Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                                  Scott Olswold Guide

                                  Steve and all,

                                   

                                  Microsoft .NET 4.5 is an in-place upgrade to 4.5, so the application of .NET 4.5.1 to a current .NET 4 server would have the same upgrade effect. It is not a discrete version in the same way you can have .NET 2 and .NET 4 installed on the same system. Historically, the same thing happened with .NET 1.1 when Microsoft released .NET 2.0 (it was a time machine reach, but I found it), and the only option was to uninstall .NET 2.0.

                                   

                                  Richard, I'm curious as to why the installation of .NET 4.5.1 on a Uniprint 8.2 system caused problems. I'm going to set up a test server and run through the upgrade process to see what is actually affected and why.

                                   

                                  Regards,

                                  Scott

                                    • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                                      Richard Smith Jr Scout

                                      Scott, as mentioned above I am unsure if the 4.5 update was hidden and the 4.5.1 may not have been but installed.  The server went down at 3:00 a.m. and the update to .NET 4.5.1 was completed at 3:13 a.m. so I assumed this had to be the case.  The uninstall of 4.5.1 and install/patch to 4.0 resolved the issue.

                                       

                                      I'm unsure of the root cause, but can say that there were services running through services.msc such as Pharos Database Server that showed down in the Pharos Admin screen under System-Server Configuration. Pharos Print Server of course was down in the services side so that may have been why. Too many projects going at once for me now, but I plan on testing it sometime when things 'slow down'

                          • Re: Incompatibility Between Uniprint 8.2 and Microsoft .NET 4.5??
                            Steven English Guide

                            I do not remember if it the latest hotfixes resolved the issue, but in version 8.3 installing .NET 4.5 would prevetn the SecureRelease Service from starting.  My recollection is that installing .NET 4.0 on an 8.2 system did not impact anything negatively with the possible exception of IIS.  I recall that this conflict could be overcome by changing the .NET version used by the DefaultAppPool to .NET 2.x.

                             

                            Regards,

                            Steven